project_name="NetSignCNG"
install_cng_path="/opt/apps/com.infosec.www.client/files"
crontab_sh="crontab_cng.sh"
cng_crontab_path="/tmp/cngcrontab"
cng_setup_log_path="/tmp/cngsetuplog"

crontab_cng="* * * * * export DISPLAY=:0 && $install_cng_path/$crontab_sh>>$cng_setup_log_path"

echo 'Create cng crontab task...'
    crontab -l > ${cng_crontab_path} 2>/dev/null
    sed -i "/.*${crontab_sh}/d" ${cng_crontab_path}  # 已存在任务时会被sed删除，防止重复添加
    echo "${crontab_cng}" >> ${cng_crontab_path}
    crontab ${cng_crontab_path}

echo 'Complete'

if [ ! -e "/usr/sbin/ip" ]
then
	
	if [ -f "/usr/bin/ip" ]
	then
		ln -s /usr/bin/ip /usr/sbin/ip 
	elif [ -f "/sbin/ip" ]
	then
		ln -s /sbin/ip /usr/sbin/ip
	elif [ -f "/bin/ip" ]
	then
		ln -s /bin/ip /usr/sbin/ip
	fi

fi

chmod -R 0777 ${install_cng_path}/config

if [ ! -d "/var/cnglog" ]
then
        mkdir /var/cnglog
fi

chmod -R 0777 /var/cnglog

rm -f /var/cnglog/*


echo "Start Installation..."

#$install_cng_path/startup.sh

sleep 1m
strA=$(nl $cng_setup_log_path | sed -n '/finish/p')
strB="finish"
result=$(echo $strA | grep "${strB}")
if [ -n "$result" ]; then
    echo "$project_name install finish"
else
    echo "$project_name install failed"
fi


chmod +s /usr/sbin/dmidecode
